php - Hold XAMPP & Installer WAMP

Indlæg af Hanne Mølgaard Plasc

Problem



Jeg bruger Windows 7 , og jeg har XAMPP installeret. I Git Bash , når jeg skriver php -v får jeg PHP 5.6.15.


Jeg har brug for nyere version af PHP, fordi jeg bruger Komponist og jeg kan ikke installere pakker, der kræver PHP 7.1 . [5]


Jeg ved, at en måde at løse dette på er at sikkerhedskopiere projekter, afinstallere den nuværende XAMPP og installere den nyeste (med PHP 7.1) ... men jeg vil gerne undgå dette (hvis muligt), fordi der er mange projektfiler i C:xampphtdocs og mange MySQL databaser ...


Så jeg tænker på at holde denne XAMPP og installere WAMP med den nyeste version af PHP, men jeg har et par korte spørgsmål.


BEMÆRK, AT jeg vil IKKE BRUG DE SAMTIDIGT - Jeg don

SPØRGSMÅL:


1) Vil det fungere overhovedet? Er der nogen grund til, at jeg bør undgå at gøre dette? (hold XAMPP og installer WAMP)?


2) Hvis jeg holder min XAMPP og installerer WAMP med, lad os sige, PHP 7.2 - hvilken PHP version vil køre på min computer, 5.6 eller 7.2? > Git Bash , når jeg skriver php -v - hvilken version vil blive vist? Hvilken version vil blive brugt af Komponist ?

Bedste reference